Bug 16667 - Unused variable and function call in circulation.pl
Summary: Unused variable and function call in circulation.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-05 11:45 UTC by Tomás Cohen Arazi
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16667: Unused variable and function call in circulation.pl (1.09 KB, patch)
2016-06-05 11:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16667: Unused variable and function call in circulation.pl (1.14 KB, patch)
2016-06-06 05:14 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16667: Unused variable and function call in circulation.pl (1.21 KB, patch)
2016-06-07 08:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-06-05 11:45:02 UTC
To reproduce:

- Run:
  $ git grep '$branches' circ/circulation.pl
=> FAIL: Variable is defined and never used
Comment 1 Tomás Cohen Arazi 2016-06-05 11:55:14 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-06-06 05:14:47 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-07 08:21:57 UTC
(In reply to Tomás Cohen Arazi from comment #1)

> This patch removes an unused occurence of the $branches variable. Probably a
> leftover from a recent rewrite.

Not at all, it's not used since...
  commit 2ffd5b7228f4e638583162d483e1dd2febeafe1b
  Date:   Fri Mar 9 14:28:54 2007 +0000

:)
Comment 4 Jonathan Druart 2016-06-07 08:23:42 UTC
Created attachment 52112 [details] [review]
Bug 16667: Unused variable and function call in circulation.pl

This patch removes an unused occurence of the $branches variable. Probably a
leftover from a recent rewrite.

To test:
- Run:
  $ git grep '$branches' circ/circulation.pl
=> FAIL: Only on occurence of the variable
- Apply the patch
- Run:
  $ git grep '$branches' circ/circulation.pl
=> SUCCESS: The variable has been removed
- Sign off :-D

Regards

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-06-10 17:43:26 UTC
Pushed to master for Koha 16.11, thanks Tomas!
Comment 6 Frédéric Demians 2016-06-15 07:48:12 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-06-16 09:46:57 UTC
Patch pushed to 3.22.x, will be in 3.22.8